OGRE-Next: Ogre::CompositorPassUav Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::CompositorPassUav Class Reference
Core » Effects

Implementation of CompositorPass This implementation will set UAVs. More...

`#include <OgreCompositorPassUav.h>`

Inheritance diagram for Ogre::CompositorPassUav:
[legend]

## Public Member Functions
| CompositorPassUav (const CompositorPassUavDef *definition, CompositorNode *parentNode, const RenderTargetViewDef *rtv)
| ~CompositorPassUav () override
void | execute (const Camera *lodCamera) override
void | notifyRecreated (const UavBufferPacked *oldBuffer, UavBufferPacked *newBuffer) override
void | notifyTextureChanged (TextureGpu *texture, TextureGpuListener::Reason reason, void *extraData) override
| Called when a TextureGpu changed in a way that affects how it is displayed:
Public Member Functions inherited from Ogre::CompositorPass
| CompositorPass (const CompositorPassDef *definition, CompositorNode *parentNode)
virtual | ~CompositorPass ()
ResourceTransitionArray & | _getResourceTransitionsNonConst ()
virtual void | analyzeBarriers (const bool bClearBarriers=true)
| Bakes all of the memory barriers / resource transition that will be needed before executing a GPU command like rendering, copying/blit or compute.
Vector2 | getActualDimensions () const
const CompositorPassDef * | getDefinition () const
const CompositorNode * | getParentNode () const
RenderPassDescriptor * | getRenderPassDesc () const
const ResourceTransitionArray & | getResourceTransitions () const
const CompositorTextureVec & | getTextureDependencies () const
CompositorPassType | getType () const
Real | getViewportAspectRatio (size_t vpIdx)
virtual void | notifyCleared ()
virtual void | notifyDestroyed (const UavBufferPacked *buffer)
virtual void | notifyDestroyed (TextureGpu *channel)
virtual bool | notifyRecreated (const TextureGpu *channel)
void | profilingBegin ()
void | profilingEnd ()
virtual void | resetNumPassesLeft ()
Public Member Functions inherited from Ogre::TextureGpuListener
virtual | ~TextureGpuListener ()
virtual bool | shouldStayLoaded (TextureGpu *texture)
| Return true if this TextureGpu should likely stay loaded or else graphical changes could occur.

## Additional Inherited Members
Public Types inherited from Ogre::TextureGpuListener
enum | Reason { Unknown , FromStorageToSysRam , FromSysRamToStorage , GainedResidency , LostResidency , PoolTextureSlotChanged , ResidentToSysRamSync , MetadataCacheOutOfDate , ExceptionThrown , FsaaSettingAlteredByApi , ReadyForRendering , Deleted }

## Detailed Description

Implementation of CompositorPass This implementation will set UAVs.

Author
  Matias N. Goldberg

Version
  1.0

## Constructor & Destructor Documentation

## ◆ CompositorPassUav()

Ogre::CompositorPassUav::CompositorPassUav | ( | const CompositorPassUavDef * | definition,
|  | CompositorNode * | parentNode,
|  | const RenderTargetViewDef * | rtv )

## ◆ ~CompositorPassUav()

Ogre::CompositorPassUav::~CompositorPassUav | ( |  | ) |
| override

## Member Function Documentation

## ◆ execute()

void Ogre::CompositorPassUav::execute | ( | const Camera * | lodCamera | ) |
| overridevirtual

Implements Ogre::CompositorPass.

## ◆ notifyRecreated()

void Ogre::CompositorPassUav::notifyRecreated | ( | const UavBufferPacked * | oldBuffer,
|  | UavBufferPacked * | newBuffer )
| overridevirtual

Reimplemented from Ogre::CompositorPass.

## ◆ notifyTextureChanged()

void Ogre::CompositorPassUav::notifyTextureChanged | ( | TextureGpu * | texture,
|  | TextureGpuListener::Reason | reason,
|  | void * | extraData )
| overridevirtual

Called when a TextureGpu changed in a way that affects how it is displayed:

1. TextureGpu::notifyDataIsReady got called (texture is ready to be displayed)
2. Texture changed residency status.
3. Texture is being deleted. It won't be a valid pointer after this call.

Implements Ogre::TextureGpuListener.

The documentation for this class was generated from the following file:

- OgreCompositorPassUav.h